package com.docus.server.fsy.api.dto;

import lombok.Data;

import java.util.List;

/**
 * @author YongBin Wen
 * @date 2024/3/29 10:26
 */
@Data
public class LisPatientListResponse {
    /**
     * 检验患者列表
     */
    List<Patient> patientList;

    @Data
    public static class Patient {
        /**
         * 住院号
         */
        private String pidInNo;
        /**
         * 住院次数
         */
        private String pidAddmissTimes;
        /**
         * 报告单号
         */
        private String repId;
        /**
         * 检查项目
         */
        private String pidComName;
        /**
         * 检测日期
         */
        private String repInDate;
    }
}
