package com.docus.server.fsy.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author YongBin Wen
 * @date 2024/3/27 14:18
 */
@ApiModel("佛山三院患者基础信息视图")
@Data
public class JswzhPatientInfoView {
    @ApiModelProperty("ID号(唯一标识）")
    private String JZH;
    @ApiModelProperty("住院号")
    private String ZY;
    @ApiModelProperty("住院次数")
    private Integer ZYCS;
    @ApiModelProperty("姓名")
    private String XM;
    @ApiModelProperty("性别 M-男 F-女")
    private String XB;
    @ApiModelProperty("入院时间")
    private Date RYRQ;
    @ApiModelProperty("BQ	入院科室编码")
    private String RYKSBQ;
    @ApiModelProperty("MC	入院科室")
    private String RYKSMC;
    @ApiModelProperty("床号")
    private String CWDM;
    @ApiModelProperty("主管医生工号")
    private String DQYS;
    @ApiModelProperty("年龄  13岁8月或1天")
    private String NL;
    @ApiModelProperty("身份证号")
    private String SFZH;
    @ApiModelProperty("手机号")
    private String LXDH;
    @ApiModelProperty("出院日期")
    private Date CYRQ;
    @ApiModelProperty("当前科室编码")
    private String DQBQ;
    @ApiModelProperty("当前科室")
    private String DQKS;
    @ApiModelProperty("患者本次住院总费用")
    private String ZJINE;
    @ApiModelProperty("住院状态 R-住院登记  I-病房接诊 B-出院登记 O-出院结算 P-预约出院,N-无费退院（无效住院）")
    private String ZYZT;
    @ApiModelProperty("离院方式   1、医嘱离院 2、医嘱转院 3、医嘱转社区 4非医嘱离院 5.死亡 9 其他")
    private String CYQK;
    @ApiModelProperty("是否死亡   1死亡 0非死亡   用CYQK  5死亡")
    private Integer SFSW;
    @ApiModelProperty("删除标志   0未删除   3直接删除  没有删除一说，只有ZYZT字段 N-无费退院（无效住院）")
    private String BRBZ;
    @ApiModelProperty("记账卡号（用于护理查询）")
    private String JZKH;
}
