package com.docus.server.archive.config;

import lombok.Data;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

/**
 * @author YongBin Wen
 * @date 2024/3/29 14:00
 */
@Component
@Data
public class DocusServerUrlConfig {
    @Value("${docus.url.viewcollect-server}")
    private String viewCollectServerUrl;

    @Value("${docus.url.downploadlatform-server}")
    private String downloadPlatformServerUrl;

    @Value("${docus.url.taskdistribute-server}")
    private String taskDistributeServerUrl;
}
