package com.docus.server.archive.rpc.dto;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class ReportDownTwoDto {
    @ApiModelProperty(value = "档案编号")
    private String patientId;
    @ApiModelProperty(value = "记账号")
    private String jzh;
    @ApiModelProperty(value = "档案类型")
    private String recordType;
    @ApiModelProperty(value = "档案时间")
    private String createTime;
    @ApiModelProperty(value = "患者信息")
    private ReportPatientTwoDto patient =new ReportPatientTwoDto();
    @ApiModelProperty(value = "住院信息")
    private List<ReportHospitalTwoDto> hospitals = new ArrayList<>();
    @ApiModelProperty(value = "任务信息")
    private List<ReportTaskTwoDto> tasks = new ArrayList<>();
    @ApiModelProperty(value = "母亲基础信息")
    private PatientInfoDTO parent;
}
