package com.docus.server.fsy.api.dto;

import lombok.Data;

/**
 * @author YongBin Wen
 * @date 2024/3/29 10:26
 */
@Data
public class LisPatientListRequest {
    /**
     * 门诊、住院号
     */
    private String pidInNo;
    /**
     * 住院次数
     */
    private Integer pidAddmissTimes;
    /**
     * 时间范围：开始时间
     */
    private String startDate;
    /**
     * 时间范围：结束时间
     */
    private String endDate;
}
